> ## Documentation Index
> Fetch the complete documentation index at: https://kapso-1adbad2d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete WhatsApp webhook

> Deletes a WhatsApp webhook



## OpenAPI

````yaml api/legacy/openapi-platform.yaml delete /whatsapp_configs/{whatsapp_config_id}/whatsapp_webhooks/{id}
openapi: 3.0.3
info:
  title: Kapso Platform API
  description: >-
    Build WhatsApp automation into your SaaS. Let your customers connect their
    own WhatsApp Business accounts.
  version: 1.0.0
  contact:
    name: Kapso Support
servers:
  - url: https://app.kapso.ai/api/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /whatsapp_configs/{whatsapp_config_id}/whatsapp_webhooks/{id}:
    delete:
      tags:
        - WhatsApp Webhooks
      summary: Delete WhatsApp webhook
      description: Deletes a WhatsApp webhook
      operationId: deletePlatformWhatsappWebhook
      parameters:
        - name: whatsapp_config_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '204':
          description: WhatsApp webhook deleted
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: WhatsApp webhook not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          example: Resource not found
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your project API key

````